$spops = {
  'theme' => {
    class        => 'OpenInteract::Theme',
    code_class   => 'OpenInteract::Theme',
    isa          => [ qw/ OpenInteract::SPOPS::DBI  SPOPS::Secure  
                          SPOPS::DBI::MySQL  SPOPS::DBI / ],
    field        => [ qw/ theme_id title description parent credit / ],
    id_field     => 'theme_id',
    increment_field => 1,
    sequence_name   => 'oi_theme_seq',
    no_insert    => [ qw/ theme_id / ],
    skip_undef   => [],
    no_update    => [ qw/ theme_id / ],
    base_table   => 'theme',
    sql_defaults => [ ],
    field_alter  => { },
    alias        => [ ],
    has_a        => { 'OpenInteract::Theme' => [ 'parent' ] },
    links_to     => { 'OpenInteract::ThemeProp' => 'theme_prop' },
    creation_security => {
       u   => undef,
       g   => { 3 => 'WRITE' },
       w   => 'READ',
    },
    track => {
       create => 1, update => 1, remove => 1
    },
    display      => { url => '/Theme/show/' },
    name         => 'title',
    object_name  => 'Theme',
  },
  'themeprop' => {
    class        => 'OpenInteract::ThemeProp',
    isa          => [ qw/ OpenInteract::SPOPS::DBI 
                          SPOPS::DBI::MySQL  SPOPS::DBI / ],
    field        => [ qw/ themeprop_id theme_id prop value description / ],
    id_field     => 'themeprop_id',
    increment_field => 1,
    sequence_name   => 'oi_theme_prop_seq',
    no_insert    => [ qw/ themeprop_id / ],
    skip_undef   => [],
    no_update    => [ qw/ themeprop_id theme_id prop / ],
    base_table   => 'theme_prop',
    sql_defaults => [],
    field_alter  => {},
    alias        => [ qw/ theme_prop theme_property / ],
    has_a        => { 'OpenInteract::Theme' => [ 'theme_id' ] },
    links_to     => {},
    display      => {},
    name         => 'prop',
    object_name  => 'Theme Property',
  },
};